For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update sales order reservations

Set reservationType on order items to be reserved on a warehouse or a purchaseorder. Use PURCHASE_ORDER_CONFIRMED to mark order items as 'Purchase order created in external system'

Required permissions: SALES_ORDER,RETURN_ORDER,PURCHASE_ORDER

post
/tenants/{tenantUid}/orders/reservations
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

If reservationType == WAREHOUSE, uid must have a value pointing to a legal warehouseUid. If reservationType == PURCHASE, uid must have a value pointing to a legal purchase order.

uidstringOptional

The uid must be warehouseUid if the reservationType is WAREHOUSE, purchaseOrderItemUid if it is PURCHASEORDER and receivementItemUid if it is PURCHASEORDER_CONFIRMED

Pattern: ^[A-Za-z0-9-_]+
reservationTypestring · enumRequiredPossible values:
Responses
204

No Content

No content

post/tenants/{tenantUid}/orders/reservations
POST /v2/tenants/{tenantUid}/orders/reservations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "uid": "text",
  "reservationType": "WAREHOUSE",
  "orders": [
    {
      "orderUid": "text",
      "orderItemUid": "text"
    }
  ]
}
204

No Content

No content

Last updated

Was this helpful?